Subject: ANNOUNCE: Netscape httpd/Perl Integration
From: Benjamin Sugars <[email-masked]>
Date: 20 Nov 1997 00:20:45 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Good Day,

Version 0.10 of nsapi_perl has been added to the CPAN.  It is
available as:
  file: $CPAN/authors/id/BSUGARS/nsapi_perl-0.10.tar.gz
  size: 30228 bytes
   md5: 70282a76c378a779cb7b7c685e898f85

nsapi_perl is a set of Netscape Server API functions and Perl
extension modules that (in the spirit of mod_perl for Apache) embed a
Perl interpreter in a Netscape web server.  This allows you to program
to the Netscape server API in Perl rather than C.

If you can't wait for it to reach your CPAN mirror, the distribution
is also available from
    http://interact.canoe.ca/~bsugars/nsapi_perl-0.10.tar.gz

I have tried nsapi_perl on 1.x, 2.x, and 3.x servers and it works (but
see the README file for some outstanding issues).

It should be noted that at least one company (www.binevolve.com) has
also embedded a Perl interpreter in Netscape servers, but as far as I
know they don't allow you full Perl access to the API.  Besides,
theirs is expensive and closed; nsapi_perl is free and open :-)

I should also note that this is really a developers' release that is
most likely to be of interest to those who wish to contribute to the
project.  Help wanted.

-Ben

--
Ben Sugars <[email-masked]>
Senior Webmaster,
CANOE Canadian Online Explorer,
http://www.canoe.ca/